rbs.hpp File Reference
`#include <gecode/search/support.hh>`
`#include <gecode/search/seq/dead.hh>`

Go to the source code of this file.

## Classes

class | Gecode::Search::RbsBuilder< T, E >
| A RBS engine builder. More...

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Search
| Search engines
namespace | Gecode::Search::Seq

## Functions

Stop * | Gecode::Search::Seq::rbsstop (Stop *so)
| Create stop object.
Engine * | Gecode::Search::Seq::rbsengine (Space *master, Stop *stop, Engine *slave, const Search::Statistics &stat, const Options &opt, bool best)
| Create restart engine.
template<class T, template< class > class E>
T * | Gecode::rbs (T *s, const Search::Options &o)
| Perform restart-based search.
template<class T, template< class > class E>
SEB | Gecode::rbs (const Search::Options &o)
| Return a restart search engine builder.